<?php
/**
 * Implements hook_views_default_views().
 */
function news_client_views_default_views() {
  $views = array();
  
  $view = new view();
  $view->name = 'news_client_cache_view';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'News Client Cache';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  
  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    3 => '3',
    8 => '8',
  );
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'better_exposed_filters';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Search';
  $handler->display->display_options['exposed_form']['options']['reset_button'] = TRUE;
  $handler->display->display_options['exposed_form']['options']['expose_sort_order'] = FALSE;
  $handler->display->display_options['exposed_form']['options']['bef'] = array(
    'general' => array(
      'input_required' => 0,
      'text_input_required' => array(
        'text_input_required' => array(
          'value' => 'Select any filter and click on Apply to see results',
          'format' => 'filtered_html',
        ),
      ),
      'allow_secondary' => 0,
      'secondary_label' => 'Advanced options',
      'secondary_collapse_override' => '0',
    ),
    'title' => array(
      'bef_format' => 'default',
      'more_options' => array(
        'autosubmit' => 0,
        'is_secondary' => 0,
        'any_label' => '',
        'bef_filter_description' => '',
        'placeholder' => 'disable',
        'placeholder_text' => '',
        'tokens' => array(
          'available' => array(
            0 => 'global_types',
          ),
        ),
        'rewrite' => array(
          'filter_rewrite_values' => '',
        ),
      ),
    ),
    'news_client_sites_tid' => array(
      'bef_format' => 'default',
      'more_options' => array(
        'bef_select_all_none' => FALSE,
        'bef_collapsible' => 0,
        'autosubmit' => 0,
        'is_secondary' => 0,
        'any_label' => '',
        'bef_filter_description' => '',
        'placeholder' => 'disable',
        'placeholder_text' => '',
        'tokens' => array(
          'available' => array(
            0 => 'global_types',
            1 => 'vocabulary',
          ),
        ),
        'rewrite' => array(
          'filter_rewrite_values' => '',
        ),
      ),
    ),
  );
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '20';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'title' => 'title',
    'news_client_news_service_nid' => 'news_client_news_service_nid',
    'news_client_last_retrieve' => 'news_client_last_retrieve',
    'news_client_operations' => 'news_client_operations',
  );
  $handler->display->display_options['style_options']['default'] = 'news_client_last_retrieve';
  $handler->display->display_options['style_options']['info'] = array(
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'news_client_news_service_nid' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'news_client_last_retrieve' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'news_client_operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['empty_table'] = TRUE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'No cached articles.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: News Service Identifier */
  $handler->display->display_options['fields']['news_client_news_service_nid']['id'] = 'news_client_news_service_nid';
  $handler->display->display_options['fields']['news_client_news_service_nid']['table'] = 'field_data_news_client_news_service_nid';
  $handler->display->display_options['fields']['news_client_news_service_nid']['field'] = 'news_client_news_service_nid';
  $handler->display->display_options['fields']['news_client_news_service_nid']['label'] = 'News Service ID';
  $handler->display->display_options['fields']['news_client_news_service_nid']['settings'] = array(
    'thousand_separator' => '',
    'prefix_suffix' => 1,
  );
  /* Field: Content: Most Recent Retrieval Date */
  $handler->display->display_options['fields']['news_client_last_retrieve']['id'] = 'news_client_last_retrieve';
  $handler->display->display_options['fields']['news_client_last_retrieve']['table'] = 'field_data_news_client_last_retrieve';
  $handler->display->display_options['fields']['news_client_last_retrieve']['field'] = 'news_client_last_retrieve';
  $handler->display->display_options['fields']['news_client_last_retrieve']['label'] = 'Most Recent Fetch';
  $handler->display->display_options['fields']['news_client_last_retrieve']['settings'] = array(
    'format_type' => 'medium',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_remaining_days' => 0,
  );
  /* Field: Content: Sites */
  $handler->display->display_options['fields']['news_client_sites']['id'] = 'news_client_sites';
  $handler->display->display_options['fields']['news_client_sites']['table'] = 'field_data_news_client_sites';
  $handler->display->display_options['fields']['news_client_sites']['field'] = 'news_client_sites';
  $handler->display->display_options['fields']['news_client_sites']['type'] = 'taxonomy_term_reference_plain';
  $handler->display->display_options['fields']['news_client_sites']['delta_offset'] = '0';
  /* Field: Content: News Client Operations */
  $handler->display->display_options['fields']['news_client_operations']['id'] = 'news_client_operations';
  $handler->display->display_options['fields']['news_client_operations']['table'] = 'node';
  $handler->display->display_options['fields']['news_client_operations']['field'] = 'news_client_operations';
  $handler->display->display_options['fields']['news_client_operations']['label'] = 'Operations';
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'news_client_cached_article' => 'news_client_cached_article',
  );
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Title';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    6 => 0,
    5 => 0,
    4 => 0,
    7 => 0,
    8 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['title']['expose']['autocomplete_items'] = '10';
  $handler->display->display_options['filters']['title']['expose']['autocomplete_min_chars'] = '0';
  $handler->display->display_options['filters']['title']['expose']['autocomplete_field'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['autocomplete_raw_suggestion'] = 1;
  $handler->display->display_options['filters']['title']['expose']['autocomplete_raw_dropdown'] = 1;
  $handler->display->display_options['filters']['title']['expose']['autocomplete_dependent'] = 0;
  /* Filter criterion: Content: Sites (news_client_sites) */
  $handler->display->display_options['filters']['news_client_sites_tid']['id'] = 'news_client_sites_tid';
  $handler->display->display_options['filters']['news_client_sites_tid']['table'] = 'field_data_news_client_sites';
  $handler->display->display_options['filters']['news_client_sites_tid']['field'] = 'news_client_sites_tid';
  $handler->display->display_options['filters']['news_client_sites_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['news_client_sites_tid']['expose']['operator_id'] = 'news_client_sites_tid_op';
  $handler->display->display_options['filters']['news_client_sites_tid']['expose']['label'] = 'Site';
  $handler->display->display_options['filters']['news_client_sites_tid']['expose']['operator'] = 'news_client_sites_tid_op';
  $handler->display->display_options['filters']['news_client_sites_tid']['expose']['identifier'] = 'news_client_sites_tid';
  $handler->display->display_options['filters']['news_client_sites_tid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    6 => 0,
    5 => 0,
    4 => 0,
    7 => 0,
    8 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['news_client_sites_tid']['type'] = 'select';
  $handler->display->display_options['filters']['news_client_sites_tid']['vocabulary'] = 'news_client_sites';
  
  $views[$view->name] = $view;
  
  return $views;
}
