<?php
// Plugin definition
$plugin = array(
  'title' => t('Layout 2b'),
  'icon' => 'wcm-omega-2b.png',
  'category' => t('WCM Omega Layouts'),
  'theme' => 'wcm_omega_2b',
  'css' => '../wcm-omega-layouts.css',
  'regions' => array(
    'header' => t('Header'),
    'row_1_col_1' =>t('Row 1, Column 1'),
    'row_1_col_2' =>t('Row 1, Column 2'),
    'tile1' => t('Tile 1'),
    'tile2' => t('Tile 2'),
    'tile3' => t('Tile 3'),
    'tile4' => t('Tile 4'),
    'row_2_col_1' =>t('Row 2, Column 1'),
    'row_2_col_2' =>t('Row 2, Column 2'),
    'tile5' => t('Tile 5'),
    'tile6' => t('Tile 6'),
    'tile7' => t('Tile 7'),
    'tile8' => t('Tile 8'),
    'row_3_col_1' =>t('Row 3, Column 1'),
    'row_3_col_2' =>t('Row 3, Column 2'),
    'footer' => t('Footer'),
  ),
);

/**
 * Implements hook_preprocess_wcm_omega_2b().
 */
function template_preprocess_wcm_omega_2b(&$vars) {
  $rows = array(
    'header' => array('header'),
    'content_group_1' =>array('row_1_col_1','row_1_col_2','tile1', 'tile2', 'tile3', 'tile4', 'row_2_col_1', 'row_2_col_2', 'tile5', 'tile6', 'tile7', 'tile8'),
    'content_group_2' =>array('row_3_col_1','row_3_col_2'),
    'footer' => array('footer'),
  );

  $vars['panels_row'] = ocio_omega_settings_panel_rows($rows, $vars);
  $vars['panels_row_classes'] = ocio_omega_settings_panel_row_classes();
}
